Subject: Re: bug#14507: 24.3; TAB in shell mode never ignores case, even though I want it to

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 31 Jan 2022 16:16:01 +0100

Eric Hanchrow <[email-masked]> writes:

> Just tried it now, and it seems to still be there.  The repro recipe and details have
> changed slightly:
> GNU Emacs 27.2 (build 1, arm-apple-darwin21.1.0, NS appkit-2113.00 Version
> 12.0.1 (Build 21A559)) of 2021-11-18
>
> * started, as before, via /Applications/Emacs.app/Contents/MacOS/Emacs -Q
> * M-x shell RET
> * cd RET
> * cd d TAB
> * it completed to "docker-build-land" because I happen to have a directory of that
>  name.  But I also have Desktop, Documents, and Downloads, and it didn't offer
>  any of those
> * C-c C-u to erase the previous completion
> * cd de TAB
> * Here of course I was hoping it'd complete to "Desktop", but it just beeped.
> * As before, I did M-: (setq completion-ignore-case t) RET but that had no effect.

Thanks for checking; I can reproduce this in Emacs 27.2, but not on the
current master, so it looks like it's been fixed, and I'm therefore
closing this bug report.